Checks if the object has a previous image

- « Imagick::hasNextImage

- Imagick::identifyFormat »

- PHP Manual
- Imagick
- Checks if the object has a previous image

# Imagick::hasPreviousImage

(PECL imagick 2, PECL imagick 3)

Imagick::hasPreviousImage — Checks if the object has a previous image

### Description

public Imagick::hasPreviousImage(): bool

Returns `true` if the object has more images when traversing the list in the reverse direction

### Parameters

This function has no parameters.

### Return Values

Returns `true` if the object has more images when traversing the list in the reverse direction, returns `false` if there are none.